Subject: Re: bug#18102: 24.3; emacs stops responding to keyboard after closing frame

From: Robert Marshall <[email-masked]>
Date: Tue, 29 Jul 2014 13:22:27 +0100

On Thu, Jul 24 2014, "David J. Biesack" <[email-masked]> wrote:

> Sometimes after closing a frame, emacs ignores all key events in remaining open frames
> after explicitly clicking in them to set point. Ctrl-g does nothing. I can't type anything in those frames.
>
> This occurs intermittently. However, I have RMAIL set up to open reply
> messages in a new frame. When I send those messages, message-send-and-exit
> closes that message frame via a function I bind:
>
>        (setq message-exit-actions (cons 'message-delete-frame message-exit-actions)))
>

I'm also seeing this behaviour - in my case I'm using VM to send email
and that opens a frame to compose the email and closes it on sending and
that's where emacs fails to respond to the keyboard for me as well.

>
> In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7)
>  of 2014-03-07 on lamiak, modified by Debian
> Windowing system distributor `The X.Org Foundation', version 11.0.11501000
> System Description:     Ubuntu 14.04 LTS
>

I'm also using Ubuntu 14.04 (and using a GTK+ emacs build from bzr) and have
only seen the problem since upgrading to 14.04.

Robert